Bug 811320 - Quick Search doesn't work after migration from 5.1.0 to 5.2.1
Quick Search doesn't work after migration from 5.1.0 to 5.2.1
Status: NEW
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Site Publisher (Show other bugs)
5.2.1.ER03
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 13:38 EDT by Tomas Kyjovsky
Modified: 2012-04-18 19:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The quick search function does not work after upgrading Site Publisher from v5.1.0 to v5.2.1. Searching using the quick search field returns no search results and causes a Null Pointer Exception in the server log. To workaround the issue, perform the following modifications:</para> <orderedlist> <listitem> <para>Log onto the "classic" portal using administrator credentials.</para> </listitem> <listitem> <para>Open the "classic" portal Quick Search page.</para> </listitem> <listitem> <para>Click Edit Page</para> </listitem> <listitem> <para>Edit the "Search Result" portlet.</para> </listitem> <listitem> <para>Update the Base Path setting to point to the portal detail page instead of the parameterizedviewer page, as per the example at [1]</para> </listitem> </orderedlist> <para>[1] Change from http://<replaceable>&lt;host&gt;</replaceable>:8080/ecmdemo/classic/parameterizedviewer? to http://<replaceable>&lt;host&gt;</replaceable>:8080/ecmdemo/classic/detail?
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace (24.97 KB, text/plain)
2012-04-10 13:38 EDT, Tomas Kyjovsky
no flags Details
snapshot (16.58 KB, image/png)
2012-04-10 13:39 EDT, Tomas Kyjovsky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
EXO WCM JIRA SPUB-185 None None None Never

  None (edit)
Description Tomas Kyjovsky 2012-04-10 13:38:03 EDT
Description of problem:

No results when quick-searching after migration from 5.1.0 to 5.2.1.

Steps to Reproduce:
1. install EPP-SP-5.1.0, start&stop server
2. install EPP-SP-5.2.1.ER2 with 5.1 data, start&stop to remove JCR locks
3. start EPP-SP-5.2.1.ER2 again
4. search from quick-search box
  
Actual results:

No search results. NPE in server log.


Expected results:

Correct search results.


Additional info:

Environment:
EPP-5.2.1.ER3/CR1 + EPP-SP-5.2.1.ER2
mysql-5.0, mysql-5.1, oracle10g, postgresql-8.4, and others probably
Comment 1 Tomas Kyjovsky 2012-04-10 13:38:42 EDT
Created attachment 576529 [details]
stack trace
Comment 2 Tomas Kyjovsky 2012-04-10 13:39:37 EDT
Created attachment 576531 [details]
snapshot
Comment 3 Tomas Kyjovsky 2012-04-10 13:40:21 EDT
https://jira.exoplatform.org/browse/SPUB-185
Comment 4 hfnukal@redhat.com 2012-04-17 09:43:51 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No results when quick-searching after migration from 5.1.0 to 5.2.1.

Steps to Reproduce:
1. install EPP-SP-5.1.0, start&stop server
2. install EPP-SP-5.2.1.ER2 with 5.1 data, start&stop to remove JCR locks
3. start EPP-SP-5.2.1.ER2 again
4. search from quick-search box

Actual results is no search results. NPE in server log.
Expected results is correct search results.
Comment 5 Jared MORGAN 2012-04-18 19:19:24 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,10 +1,19 @@
-No results when quick-searching after migration from 5.1.0 to 5.2.1.
+The quick search function does not work after upgrading Site Publisher from v5.1.0 to v5.2.1. Searching using the quick search field returns no search results and causes a Null Pointer Exception in the server log. To workaround the issue, perform the following modifications:
-
+<orderedlist>
-Steps to Reproduce:
+  <listitem>
-1. install EPP-SP-5.1.0, start&stop server
+    <para>Log onto the "classic" portal using administrator credentials.</para>
-2. install EPP-SP-5.2.1.ER2 with 5.1 data, start&stop to remove JCR locks
+  </listitem>
-3. start EPP-SP-5.2.1.ER2 again
+  <listitem>
-4. search from quick-search box
+    <para>Open the "classic" portal Quick Search page.</para>
-
+  </listitem>
-Actual results is no search results. NPE in server log.
+  <listitem>
-Expected results is correct search results.+    <para>Click Edit Page</para>
+  </listitem>
+  <listitem>
+    <para>Edit the "Search Result" portlet.</para>
+  </listitem>
+  <listitem>
+    <para>Update the Base Path setting to point to the portal detail page instead of the parameterizedviewer page, as per the example at [1]</para>
+  </listitem>
+</itemizedlist>
+<para>[1] Change from http://<replaceable>&lt;host&gt;</replaceable>:8080/ecmdemo/classic/parameterizedviewer? to http://<replaceable>&lt;host&gt;</replaceable>:8080/ecmdemo/classic/detail?
Comment 6 Jared MORGAN 2012-04-18 19:22:45 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1,4 @@
-The quick search function does not work after upgrading Site Publisher from v5.1.0 to v5.2.1. Searching using the quick search field returns no search results and causes a Null Pointer Exception in the server log. To workaround the issue, perform the following modifications:
+The quick search function does not work after upgrading Site Publisher from v5.1.0 to v5.2.1. Searching using the quick search field returns no search results and causes a Null Pointer Exception in the server log. To workaround the issue, perform the following modifications:</para>
 <orderedlist>
   <listitem>
     <para>Log onto the "classic" portal using administrator credentials.</para>
@@ -15,5 +15,5 @@
   <listitem>
     <para>Update the Base Path setting to point to the portal detail page instead of the parameterizedviewer page, as per the example at [1]</para>
   </listitem>
-</itemizedlist>
+</orderedlist>
 <para>[1] Change from http://<replaceable>&lt;host&gt;</replaceable>:8080/ecmdemo/classic/parameterizedviewer? to http://<replaceable>&lt;host&gt;</replaceable>:8080/ecmdemo/classic/detail?

Note You need to log in before you can comment on or make changes to this bug.